<?php
/*
  ===============================================================

  inGenio X
  http://ingenio.area421.com

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Jesus Moreno Hidalgo (Communication's tree)

  inGenio X is a free software licensed under CC-GNU GPL

  ===============================================================
*/
	if (!defined("IGNX")) { die("Attempt..."); }

if (isset($_GET["rpp"]) && $_GET["rpp"] > 0)
{
	
	$multID = $_GET["rpp"];
	
	// reproducir
	$q = myquery("SELECT * FROM ".MULTIMEDIA." WHERE enabled=1 AND multID='".$multID."'","[var_mt_rpp=1]");
	$row = myfetch($q);
	

		// es un archivo de un repositorio?
		if (substr($row['archivo'],0,7) == "http://")
		{
			$tpl_mt_repositorio = 1;
			$tpl_mt_existe = file_exists_url($row["archivo"]);
			$row["es_repositorio"] = 1;
			$row["archivo_rp"] = $row['archivo'];	
			$row["archivo_embed"] = $row['archivo'];	
			
		} else {
		
			$tpl_mt_repositorio = 0;
			$tpl_mt_existe = file_exists_url("./archivos_mult/".$row["archivo"]);
			$row["es_repositorio"] = 0;
			$row["archivo_rp"] = RUTA_INICIO_IMG."archivos_mult/".$row['archivo'];	
			$row["archivo_embed"] = RUTA_CANAL_RSS_IMG."archivos_mult/".$row['archivo'];	
		
		}
		
		if ($tpl_mt_existe)
		{
		
			// Se ha reproducido ...
			myquery("UPDATE ".MULTIMEDIA." SET vistas=vistas+1 WHERE multID='".$multID."'","[var_mt_rpp=2]");

			if (IDIOMA_ACTUAL == 0)
			{
				$row["nombre"] = $row["nombre"];
				$row["comentario"] = salida_gral( $row["comentario"] );
			}
			else if (IDIOMA_ACTUAL == 1)
			{
				$row["nombre"] = $row["nombre_1"];
				$row["comentario"] = salida_gral( $row["comentario_1"] );
			}
			else if (IDIOMA_ACTUAL == 2)
			{
				$row["nombre"] = $row["nombre_2"];
				$row["comentario"] = salida_gral( $row["comentario_2"] );
			}
			else if (IDIOMA_ACTUAL == 3)
			{
				$row["nombre"] = $row["nombre_3"];
				$row["comentario"] = salida_gral( $row["comentario_3"] );
			}
			else if (IDIOMA_ACTUAL == 4)
			{
				$row["nombre"] = $row["nombre_4"];
				$row["comentario"] = salida_gral( $row["comentario_4"] );
			}
			else if (IDIOMA_ACTUAL == 5)
			{
				$row["nombre"] = $row["nombre_5"];
				$row["comentario"] = salida_gral( $row["comentario_5"] );
			}
		
			// fecha
			if (CONFIG_10 == 0)
			{
				$row["fecha"] = salida_fecha_latin ($row["fecha"]);
		
			} else if (CONFIG_10 == 1) {
			
				$row["fecha"] = salida_fecha_literal ($row["fecha"]);
		
			}
		
			// extension
			$row["extension"] = substr($row["archivo"],-3);			
			$row["extension"] = strtolower($row["extension"]); // minusculas		

			if ($row["foto"] && file_exists("./fotos/".$row["foto"]))
			{
				$size = getimagesize("./fotos/".$row["foto"]);
				$tpl_med_ancho = $size[0];
				$tpl_med_alto = $size[1];
		
					// si el alto de la imagen es superior al alto
					if ($tpl_med_alto > $row["alto"]) 
					{
						$row["alto"] = $tpl_med_alto;
				
					}
					// si modifica al alza el ancho y no cambia la imagen
					if ($tpl_med_ancho < $row["ancho"]) 
					{
						$row["ancho"] = $tpl_med_ancho;
				
					}
								
				$row["hay_foto"] = 1;
				
			} else {
				
				$row["hay_foto"] = 0;
			
			}

			
			// opciones
			if ($row["getf"] == 1 && $tpl_mt_repositorio == 0)
			{

				$file_path = "./archivos_mult/".$row["archivo"];
				$row["size"] = filesize_comple($file_path);
	 	
			} else if ($row["getf"] == 1 && $tpl_mt_repositorio == 1)
			{
			
				$file_path = $row["archivo"];
				$row["size"] = filesize_comple($file_path,false);
			}


			$row["logADMIN"] = '<div class="admin_info"><a href="javascript:edit(\''.RUTA_INICIO_IMG.'gestor.php?multID='.$row["multID"].'\','.CONFIG_5.');" class="admin">'.LEN_55.'</a> | #'.$row["multID"].' | '.$row["descargas"].' | &gt;'.$row["vistas"].'</div>';

			
			// popups
			$row["titulo_descarga_popup"] = salida_popups(LEN_75);
			
			// ruta final player -> se entiende hasta ...paqs
			$row["ruta_final_player"] = "/mplayer/mediaplayer.swf";

			// ruta del skin
			if ($row["skin_rep"] == "" || $row["skin_rep"] == NULL)
			{
				$row["ruta_skin"] = "";
			} else {
				if (file_exists_url("./paqs/mplayer/skins/".$row["skin_rep"]))
				{
					// ruta final skin player -> se entiende hasta ...paqs
					$row["ruta_skin"] = "/mplayer/skins/".$row["skin_rep"];
				} else {				
					$row["ruta_skin"] = "";
				}
			}

			$salida_reproductor = $row;
	
			// Smarty
			$smarty->assign("salida_reproductor", $salida_reproductor);
		
		
		} // del if ($tpl_mt_existe)

}

?>